package cn.reghao.autodop.dmaster.app.db.crud;

import cn.reghao.autodop.dmaster.app.model.po.AppBuilding;
import cn.reghao.autodop.dmaster.app.db.repository.AppBuildingRepository;
import org.springframework.stereotype.Service;

/**
 * @author reghao
 * @date 2020-11-10 21:58:00
 */
@Service
public class AppBuildingCrud {
    private AppBuildingRepository buildingRepository;

    public AppBuildingCrud(AppBuildingRepository buildingRepository) {
        this.buildingRepository = buildingRepository;
    }

    public void insertOrUpdate(AppBuilding appBuilding) {
    }

    public void delete(AppBuilding appBuilding) {
    }

    public AppBuilding selectByPk(Integer id) {
        return null;
    }

    public AppBuilding selectByUk(String uk) {
        return null;
    }
}
